Package org.pgpainless.provider

# Class BouncyCastleProviderFactory

java.lang.Object
org.pgpainless.provider.ProviderFactory
org.pgpainless.provider.BouncyCastleProviderFactory

public final class BouncyCastleProviderFactory extends ProviderFactory
Implementation of `ProviderFactory` using a `BouncyCastleProvider`.

## Constructor Summary

Constructors
Constructor
Description
`BouncyCastleProviderFactory()`

## Method Summary

Modifier and Type
Method
Description
`Provider`
`_getProvider()`

### Methods inherited from class org.pgpainless.provider.ProviderFactory

`_getProviderName, getFactory, getProvider, getProviderName, setFactory`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### BouncyCastleProviderFactory

public BouncyCastleProviderFactory()

## Method Details

### _getProvider

public Provider _getProvider()

Specified by:
  `_getProvider` in class `ProviderFactory`